Get filters by project

GET
/api/v1/filters/projects/{id}

Get a list of filters associated with the specified project with pagination, filtering and sorting.

Authorization

auth ApiKey
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

In: header

X-API-KEY<token>

Internal API key for admin endpoints. Example: "X-API-KEY: {key}"

In: header

Path Parameters

id*string

The ID of the project.

Formatuuid

Query Parameters

sort_by?string

Sort by field name (optional). Supported fields: "name", "description", "project", "owner"

name?string

Filter name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
description?string

Filter description used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
project_id?string

Filter by project ID

Formatuuid
page?integer

Page number (1-based). Default is 1.

Formatint32
Range1 <= value <= 2147483647
page_size?integer

Number of items per page. Default is 10. Maximum is 50.

Formatint32
Range1 <= value <= 50
sort_direction?string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/filters/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string",      "project": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "isGlobalPermissions": true      },      "owner": "534359f7-5407-4b19-ba92-c71c370022a5",      "ownerName": "string",      "isMine": true,      "canEdit": true,      "canDuplicate": true,      "canDelete": true,      "canSetPermissions": true    }  ],  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}